package com.palmnest.service.notice;


import com.palmnest.application.bean.Page;
import com.palmnest.model.notice.WxtemplateMessageModel;
import com.palmnest.model.notice.WxtemplateMessageTypeModel;
import com.palmnest.service.GenericManager;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public interface WxtemplateMessageManager extends GenericManager<WxtemplateMessageModel, Integer> {

	public Page getDataList(Map<String, Object> map, int pageNo, int pageSize) throws Exception;

	public Page getDataListWithWxPub(int pageNo, int pageSize) throws Exception;

	public String saveOrUpdate(WxtemplateMessageModel wxtemplateMessageModel);

	public Page getPublicList(String orgIds) throws Exception;

	public String sendTemplate(WxtemplateMessageModel wechatTemplateMsg);

	public Page getWxPublicno(int id) throws Exception;

	public Page getAllTempByWxPub(int id, int pageNo, int pageSize) throws Exception;

	public ArrayList<WxtemplateMessageTypeModel> getWxtemplateMessageTypeModelList(int wxId) throws Exception;

	public Page getWxPublicByWxTableId(int id) throws Exception;

	public Page getWxTableByWxPublicId(int id) throws Exception;

//	public WxtemplateMessageModel getWxtemplateMessageModelByWechat_template_id(int wechat_template_id)throws Exception;


	public Integer getTotal(String orgIds);

	/**
	 * 根据用户id获取用户
	 *
	 * @param userIds
	 * @return
	 */
	public List<Map<String, Object>> getUserlistByUserIds(String userIds);

}
